%define srcname libevent
Name: libevent1.4
Version: 1.4.14b
Release: alt2

Summary: An asynchronous event notification library
Group: System/Libraries
License: BSD-style
Url: http://www.monkey.org/~provos/libevent/
Packager: Ivan Fedorov <ns@altlinux.org>

# http://www.monkey.org/~provos/libevent-%version.tar.gz
Source: %name-%version.tar
Source1: Makefile.sample
Source2: README.libevent
Patch: libevent-1.4.8-alt2.patch

%def_disable static

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached.

libevent is meant to replace the asynchronous event loop found in
event driven network servers.  Currently, libevent supports kqueue(2),
select(2) and epoll(4).

%prep
%setup
sed -ne 's/^[^(),#[:space:]][^(),#]\+[[:space:]]\+\**\([[:alnum:]]\+_[[:alnum:]_]\+\)[[:space:]]*(.*/\1/p' *.h |
	awk '
BEGIN{print "{\n  global:"}{print "    " $0 ";"}
END{print "    decode_int;\n  local: *;\n};"}
	' >libevent.map

sed -i '/libevent_extra_la_LIBADD/s/LIBS)/LIBS) -levent/' Makefile.am

%build
%autoreconf
# force epoll and /dev/epoll support
export haveepoll=yes
%configure %{subst_enable static}
%make_build
make verify

%install
%makeinstall_std

# Relocate shared libraries from %_libdir/ to /%_lib/.
mkdir -p %buildroot/%_lib
for f in %buildroot%_libdir/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	ln -snf ../../%_lib/"$t" "$f"
done
mv %buildroot%_libdir/*.so.* %buildroot/%_lib/

%define docdir %_docdir/%name-%version
install -pDm644 %_sourcedir/README.libevent \
	%buildroot%docdir/README

%files
/%_lib/*.so.*
%dir %docdir
%docdir/README

%changelog
* Sun Feb 06 2011 Slava Dubrovskiy <dubrsl@altlinux.org> 1.4.14b-alt2
- Remove %name-devel subpackage

* Wed Nov 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.14b-alt1.1
- Rebuilt for soname set-versions

* Sat Aug 07 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 1.4.14b-alt1
- new version
- migrate to git upstream

* Thu Jun 03 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 1.4.13-alt1
- new version
- switch off patch

* Thu Dec 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.9-alt1.1
- Rebuilt with python 2.6

* Tue Feb 17 2009 Anton Farygin <rider@altlinux.ru> 1.4.9-alt1
- new version

* Tue Sep 23 2008 Ivan Fedorov <ns@altlinux.org> 1.4.8-alt2
- Add some internal headers into devel subpackage.

* Tue Sep 16 2008 Ivan Fedorov <ns@altlinux.org> 1.4.8-alt1
- Updated to 1.4.8.

* Fri Apr 13 2007 Dmitry V. Levin <ldv@altlinux.org> 1.3b-alt1
- Updated to 1.3b.

* Fri Apr 13 2007 Dmitry V. Levin <ldv@altlinux.org> 1.1b-alt1
- Updated to 1.1b.

* Fri Apr 13 2007 Dmitry V. Levin <ldv@altlinux.org> 1.1a-alt2
- Made libevent.map autogenerated based on installed header files.

* Sun Mar 25 2007 Fr. Br. George <george@altlinux.ru> 1.1a-alt1.1
- NMU: automatic map generation

* Sun Oct 30 2005 LAKostis <lakostis at altlinux.ru> 1.1a-alt1
- Updated to 1.1a.
- Updated patches.
- Force epoll and /dev/epoll support.
- Update description.

* Mon Aug 15 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0c-alt2
- Restricted list of global symbols exported by the library.
- Fixed typos in manual page.

* Mon Apr 04 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0c-alt1
- Updated to 1.0c.
- Updated patches.

* Tue Mar 01 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0b-alt2
- Relocated shared library from %_libdir to /%_lib (fixes #6156).

* Sun Feb 13 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0b-alt1
- Initial revision.
